const { app,BrowserWindow,ipcMain } = require('electron')
const ipcRenderer = require('electron').ipcRenderer;
var win
class 应用 {
	static 事件(名称, 事件子程序) {
		app.on(名称, 事件子程序)
	}
	static 销毁(){
		app.quit()
	}
	static 强制销毁(exitCode){
		app.exit(exitCode)
	}
	static 初始化结束(createWindow){
		app.whenReady().then(createWindow)
	}
}
class 窗口 {
	static 创建(宽度, 高度, 网页功能){
		win = new BrowserWindow({ width: 宽度, height: 高度, webPreferences: 网页功能})
	}
	static 加载文件(地址){
		win.loadFile(地址)
	}
}
class 通信 {
	static 发送消息(内容){
		ipcRenderer.send(内容)
	}
	static 接收消息(内容, 执行){
		ipcMain.on(内容, 执行)
	}
}
module.exports = {应用,窗口}